## TVM - TV Manager

[![Build Status](https://travis-ci.org/davidvuong/tvm.svg?branch=master)](https://travis-ci.org/davidvuong/tvm)

TVM is a command line tool that helps you manage your TV shows. It's currently in early development however you can try it out if you like (**WARNING!** There will be missing features and high chance of bugs).

```
pip install tvm
```

## Usage

```
tvm.py

usage:
    tvm.py generate <path> [--append]
    tvm.py doctor [--repository --records]
    tvm.py play (<title>... [--no-open --info --random]|(--undo|--random))
    tvm.py info [<title>... [--more]]
    tvm.py ls [<title>...]
    tvm.py check [--download --sleep=<n> --without-cache --untracked]

commands:
    generate         generates records to be added in shows_added with <path>.
    play             plays the next episode in the given tv show <title>.
    doctor           checks for syntax and semantic errors in the recored files.
    info             shows basic information about the given tv show <title>.
    ls               lists all tv shows recorded.
    check            checks for new tv shows to download.

generate:
    --append         appends stdout to records.

doctor:
    --records        checks if physical files exists in the records.
    --repository     checks if entires in record have a physical counterpart.

play:
    --no-open        records but doesn't open the episode.
    --info           shows basic statistical information.
    --random         randomly selects a show to play.
    --undo           undos the most previously played episode.

info:
    --more           shows additional information from online sources.

check:
    --download       downloads all queued shows as well as checks for new updates.
    --sleep=<n>      sleeps n seconds before performing the check [default: 0].
    --without-cache  checks but does not store results in cache.
    --untracked      shows untracked episodes that can be downloaded.

arguments:
    <path>           directory containing tv shows.
    <title>          title of the tv show.

options:
    -h --help        shows this.
    -v --version     shows version.

>>
```

## Getting Started

*comming soon...*

## Developer

1. First, download and setup a virtual environment.

        git clone git@github.com:davidvuong/tvm.git
        mkvirtualenv tvm
        cd tvm

2. Next, you need to install the package dependencies.

        pip install -r requirements.txt
        python setup.py develop

3. If you're having issues compiling, due to this error (Mac specific):

        clang: error: unknown argument: '-mno-fused-madd' [-Wunused-command-line-argument-hard-error-in-future]
        clang: note: this will be a hard error (cannot be downgraded to a warning) in the future
        error: command 'cc' failed with exit status 1

4. You can temporarily fix it by performing the following export:

        export ARCHFLAGS="-Wno-error=unused-command-line-argument-hard-error-in-future"

5. Once everything has successfully install, you can test and run tvm to see if it works.

        fab test
        tvm -h

    If tests pass and no errors pop up, you're all good to go.
