#!/usr/bin/env python
# -*- coding: utf-8 -*-
from tvm.commands import basecommand
from tvm.helpers.lshelper import LsHelper
from tvm.shared_helpers.io import print_matched_status


class LsCommand(basecommand.BaseCommand):
    def __init__(self, **arguments):
        super(self.__class__, self).__init__(**dict(arguments, **{'_ignore_errors': True}))

        self.helper = LsHelper(self.config, self.collection)
        self._extact_args(arguments)
        self._exec()

    def _extact_args(self, arguments):
        self._search_query = '_'.join(arguments.get('<title>', []))

    def _exec(self):
        if not self._search_query:
            return self.helper.print_table(self.helper.generate_table())

        matched = self.collection.find_matching_titles(self._search_query)
        print_matched_status(matched)

        self.helper.print_tree(self.helper.generate_tree(matched), matched)
